Daily Ubuntu / Linux news and application reviews.

ads

Gwibber, the microblogging client available by default in Ubuntu, has been rewritten in QML recently and is now called Friends App. 

Also, Gwibber Service (the backend) and the Gwibber Unity Lens have been replaced with "Friends Service" and Unity Friends Lens and the new packages have landed in the Ubuntu 13.04 Raring Ringtail repositories for a while, but they didn't work properly, at least for me, until a couple of days ago.

Gwibber used to be installed by default in Ubuntu, however, the new Friends App isn't (though the Friends Lens is installed by default) available by default in Raring and I'm not sure if it will make it, but you can easily install it via Ubuntu Software Center. Below you'll find instructions for installing the new Friends App in Ubuntu 12.10 or 13.04.

Here are a few Friends App (and Unity lens) screenshots:

Friends App

Friends App

Friends Unity Lens

Friends Unity Lens Previews


As you can see in the screenshots above, the new Friends App uses the Ubuntu Phone OS design so it's not exactly optimized for the desktop: there's no longer a menu (to add your Twitter, Facebook, etc. accounts you must go to System Settings > Online Accounts manually), at least for now, or toolbar and there's a large "Timeline" text on top of the application which is pretty annoying on the desktop. However, the new version is very fast and has some nice effects, smooth scrolling, etc.



Install Gwibber QML in Ubuntu 12.10 or 13.04


Friends App is still work in progress: some features may be missing, you may find bugs and so on. Also, please note that the Friends Unity lens didn't work in my test under Ubuntu 12.10 (but it does work in Ubuntu 13.04).


To install Friends in Ubuntu 12.10 or 13.04, follow the following steps:

1. Install Friends App (Gwibber rewritten in QML).

Ubuntu 13.04 Raring Ringtail: all you have to do is click the button below:


Alternatively, you can also install Friends via command line:
sudo apt-get install friends-app


For Ubuntu 12.10: installing Friends will remove the old Gwibber application! Also, you'll need to add the Ubuntu SDK and QT 5 PPAs (which will install quite a few packages) as well as the Super Friends PPA:
sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-proper
sudo add-apt-repository ppa:ubuntu-sdk-team/ppa
sudo add-apt-repository ppa:super-friends/ppa
sudo apt-get update
sudo apt-get install friends-app unity-lens-friends

2. You may need to restart your computer or else Friends might not work (this could be avoided by killing the existing Gwibber Service process in Ubuntu 12.10, launching the Friends process, restarting Unity, etc., but to avoid any issues that could result in Gwibber not working, a system restart is recommended).

Report any bugs you may encounter @ Launchpad.


Reverting the changes and returning to the old Gwibber in Ubuntu 12.10


To remove Friends App and reinstall the old Gwibber back in Ubuntu 12.10, use the following commands:
sudo apt-get install ppa-purge
sudo ppa-purge ppa:super-friends/ppa
sudo apt-get install gwibber unity-lens-gwibber
«
Next
Newer Post
»
Previous
Older Post
-->